Bug 154541 - CAN-2005-0941 openoffice.org heap overflow
CAN-2005-0941 openoffice.org heap overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
impact=important,public=20050412,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-12 11:24 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 03:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-04-12 11:24:39 EDT
+++ This bug was initially created as a clone of Bug #154540 +++

A heap overflow was reported in openoffice.org
http://www.securityfocus.com/archive/1/395516/2005-04-08/2005-04-14/0


The patch is located here:
http://util.openoffice.org/source/browse/util/sot/source/sdstor/stgole.cxx?r1=1.4&r2=1.4.166.1

The upstream bug with a demo exploit is here:
http://www.openoffice.org/issues/show_bug.cgi?id=46388
Comment 1 Caolan McNamara 2005-04-12 11:34:14 EDT
builds underway
Comment 2 Caolan McNamara 2005-04-14 03:21:26 EDT
FC3: openoffice.org-1.1.3-11.5.0.fc3
FC4: openoffice.org-1.9.92-2

Note You need to log in before you can comment on or make changes to this bug.